#
# spec file for package gap-automgrp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-automgrp
Summary:        GAP: Automata groups
Version:        1.3
Release:        lp151.2.1
License:        MIT
Group:          Productivity/Scientific/Math
Url:            http://finautom.sourceforge.net/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/automgrp-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.4.6
Requires:       gap-fga >= 1.1.0.1
Suggests:       gap-fr >= 2.0.0

%description
The AutomGrp package provides methods for computations with groups
and semigroups generated by finite automata or given by wreath
recursions, as well as with their finitely generated subgroups,
subsemigroups and elements.

%prep
%setup -qn automgrp

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.3
  * Converters to and from `FR' package by Laurent Bartholdi were
  implemented (see AutomGrp2FR and FR2AutomGrp)
  * Minimization of automata was greatly optimized based on (also
  very much appreciated) the implementation of this function by
  Andrey Russev
  * Print methods were updated for several basic types
  * IsSphericallyTransitive has been updated
  * TransformationOnFirstLevel now always returns transformations
  (it was returning permutations when possible before)
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 1.2.4
  * Replaced $ character in identifiers with underscores
  * Added IsAcyclic for Mealy automata
  * Added IsReversible, IsMDTrivial, MDReduction
  * Added MihailovaSystem
  * MarkovOperator is implemented for semigroups and now can accept
  the (possibly symbolic) weights
  * Added a possibility to define automata over 1-letter alphabet
  (needed for MD-reduction)
  * AllSections was extended to IsAutom argument
  * Section was extended to work with (semi)groups, not only with
  their elements
  * The order of generators in AG_UseRewritingSystem was updated
  according to a new GAP release
* Fri May 10 2013 jengelh@inai.de
- Split automgrp (version 1.1.4.1) off the gap RPM package
